<template>
    <v-dialog v-model="visible" persistent max-width="400">
        <v-card>
            <v-card-title>¿Desea eliminar {{ career }}?</v-card-title>
            <v-card-text>
                <v-row justify="space-around">
                    <v-btn color="success" @click="deleteCareer" >Confirmar</v-btn>
                    <v-btn color="error" @click="closeForm" >Cancelar</v-btn>
                </v-row>
            </v-card-text>
        </v-card>
    </v-dialog>
</template>

<script>
import EventBus from "../../bus";

export default {
    name:"ModalConfirmDeleteCareer",
    props:["visible", "career", "institute"],
    methods:{
        deleteCareer(){
            EventBus.$emit("confirmDeleteCareer",{ career: this.career, institute: this.institute });
        },
        closeForm(){
            EventBus.$emit("closeConfirmDeleteCareer");
        }
    }
}
</script>